Covadis - Applicatif Topographie / VRD d'Autocad

Forum - Communauté - Entraide
 
AccueilAccueil  FAQFAQ  RechercherRechercher  S'enregistrerS'enregistrer  MembresMembres  GroupesGroupes  Connexion  

Partagez | 
 

 Le petit Lisp du matin

Voir le sujet précédent Voir le sujet suivant Aller en bas 
AuteurMessage
squelet
Membre d'honneur
Membre d'honneur


Nombre de messages : 228
Age : 47
Localisation : Valmorel La Belle (Savoie-73)
Date d'inscription : 17/12/2006

MessageSujet: Le petit Lisp du matin   Lun 26 Mar - 9:03

salut à tous,

Pour bien démarrer la semaine, une petite routine pour lister le nom et le calque de plusieurs blos de même taille qui se superposent.Very Happy

Code:
(defun c:selb (/ SEL TXT X)
(setq sel nil
txt "n Blocs sélectionnés :n"
x 0)
(while (not sel)
(setq sel (ssget '((0 . "INSERT" )))))

(repeat (sslength sel)
(setq txt (strcat txt "n"(cdr (assoc 2 (entget (ssname sel x))))
" dans Calque "
(cdr (assoc 8 (entget (ssname sel x)))))
x (+ x 1))
)
(alert txt)
(princ)
)

Euh, ... ça marche aussi pour des blocs de taille différentes et qui ne se superposent pas d'ailleurs, mais la boite de propriétés convient tout à fait pour cette situation normalement.

Bonne journée


Dernière édition par le Lun 26 Mar - 9:06, édité 2 fois
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
squelet
Membre d'honneur
Membre d'honneur


Nombre de messages : 228
Age : 47
Localisation : Valmorel La Belle (Savoie-73)
Date d'inscription : 17/12/2006

MessageSujet: Re: Le petit Lisp du matin   Lun 26 Mar - 9:05

La même mais pour lister des polylignes.
Code:
(defun c:selp (/ SEL TXT X)
(setq sel nil
txt "\n Polylignes2D/3D sélectionnés :\n"
x 0)
(while (not sel)
(setq sel (ssget '((0 . "*POLYLINE")))))

(repeat (sslength sel)
(setq txt (strcat txt "\nPolyligne "(rtos (+ x 1))
" dans Calque "
(cdr (assoc 8 (entget (ssname sel x)))))
x (+ x 1))
)

(alert txt)
(princ)
)
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Rob
Admin
Admin


Nombre de messages : 253
Age : 36
Localisation : Belgique
Emploi : Ingénieur Géomètre Expert
Date d'inscription : 09/12/2006

MessageSujet: Re: Le petit Lisp du matin   Sam 31 Mar - 9:53

merci Squelet, je testerai ça Smile

_________________
Autocad MAP 2007 SP3 + Covadis 9.1g
Revenir en haut Aller en bas
Voir le profil de l'utilisateur http://covadis.forumpro.fr
Contenu sponsorisé




MessageSujet: Re: Le petit Lisp du matin   Aujourd'hui à 1:14

Revenir en haut Aller en bas
 
Le petit Lisp du matin
Voir le sujet précédent Voir le sujet suivant Revenir en haut 
Page 1 sur 1
 Sujets similaires
-
» Un petit bonjour / bonsoir !
» Petit Cafe Gratuit au McDo du 15 au 28 novembre
» Petit billet d'humeur
» Présentation d'un petit suisse
» McKibbins petit dejeuner

Permission de ce forum:Vous ne pouvez pas répondre aux sujets dans ce forum
Covadis - Applicatif Topographie / VRD d'Autocad :: Autocad - l'environnement de Covadis :: Ressources Autocad-
Sauter vers:  
Créer un forum | © phpBB | Forum gratuit d'entraide | Signaler un abus | Forum gratuit